> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get collection metadata for a Bitcoin inscription including collection name, symbol, and associated traits.

# Collection Metadata by Inscription



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}/collection
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}/collection:
    get:
      tags:
        - Inscriptions
      summary: Collection Metadata by Inscription
      description: >-
        Returns metadata of a collection for a given inscription ID, including
        its name, image, supply and external links.
      operationId: collection_metadata_by_inscription
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08i0
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TimestampedCollectionMetadataByInscription
              example:
                data:
                  chain: btc
                  createdAt: Fri, 26 May 2023 04:23:17 GMT
                  description: >-
                    Ordinal #99999 has 50 alien friends. Would you like to join
                    his Action Alien Club?
                  discordLink: ''
                  imageURI: >-
                    https://bafkreihillpn43rubd2wffzot5ccungccpen6btcofn2kylutexkpkaymq.ipfs.nftstorage.link/
                  inscriptionIcon: >-
                    46b576bc669c03227f273103654c46fa9b516374ed6a2b8d03cc786e95fd50f3i0
                  labels: []
                  max_inscription_number: '114274'
                  min_inscription_number: '90551'
                  name: 99999 Action Alien Club
                  supply: 50
                  symbol: aaclub
                  twitterLink: http://www.twitter.com/oxfordyazuka
                  websiteLink: ''
                last_updated:
                  block_hash: >-
                    00000000000000000001998e2059bcbb25f76fd0ef39db8ddfc5c31c5ea95f1f
                  block_height: 876644
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedCollectionMetadataByInscription:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/MagicEdenCollection'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    MagicEdenCollection:
      type: object
      required:
        - symbol
        - name
        - imageURI
        - chain
        - inscriptionIcon
        - description
        - supply
        - twitterLink
        - discordLink
        - websiteLink
        - min_inscription_number
        - max_inscription_number
        - createdAt
        - labels
      properties:
        chain:
          type: string
        createdAt:
          type: string
        description:
          type: string
        discordLink:
          type: string
        imageURI:
          type: string
        inscriptionIcon:
          type: string
        labels:
          type: array
          items:
            type: string
        max_inscription_number:
          type: string
        min_inscription_number:
          type: string
        name:
          type: string
        supply: {}
        symbol:
          type: string
        twitterLink:
          type: string
        websiteLink:
          type: string
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````